Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util
Class XMLParser.CharArrayBuffer

    java.lang.Object
      rice.p2p.util.XMLParser.CharArrayBuffer

Enclosing class:
  XMLParser

    public class XMLParser.CharArrayBuffer

extends java.lang.Object

This class implements a char array buffer

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`protected char[]` | `buffer` The internal buffer
`static int` | `DEFAULT_CAPACITY` The default initial capacity
`protected int` | `length` The markers

Constructor Summary
`XMLParser.CharArrayBuffer(char[] chars, int length, int off)` Constructor

Method Summary
`void` | `append(char[] chars, int off, int len)` Appends some more chars!
`protected void` | `expandBuffer()` Expands the buffer
`char[]` | `getBuffer()` Returns the internal array
`int` | `getLength()` Returns the length

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    protected char[] buffer

  The internal buffer

### length

    protected int length

  The markers

### DEFAULT_CAPACITY

    public static final int DEFAULT_CAPACITY

  The default initial capacity

  See Also:
    Constant Field Values

Constructor Detail

### XMLParser.CharArrayBuffer

    public XMLParser.CharArrayBuffer(char[] chars,
                                     int length,
                                     int off)

  Constructor

  Parameters:
    `chars` - DESCRIBE THE PARAMETER
    `length` - DESCRIBE THE PARAMETER
    `off` - DESCRIBE THE PARAMETER

Method Detail

### getBuffer

    public char[] getBuffer()

  Returns the internal array

  Returns:
    The array

### getLength

    public int getLength()

  Returns the length

  Returns:
    The length

### append

    public void append(char[] chars,
                       int off,
                       int len)

  Appends some more chars!

  Parameters:
    `chars` - DESCRIBE THE PARAMETER
    `off` - DESCRIBE THE PARAMETER
    `len` - DESCRIBE THE PARAMETER

### expandBuffer

    protected void expandBuffer()

  Expands the buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.